ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Errors.Ppr

Contents

- Orphan instances

Synopsis

- pprTypeDoesNotHaveFixedRuntimeRep :: Type -> FixedRuntimeRepProvenance -> SDoc
- pprScopeError :: RdrName -> NotInScopeError -> SDoc
- tidySkolemInfo :: TidyEnv -> SkolemInfo -> SkolemInfo
- tidySkolemInfoAnon :: TidyEnv -> SkolemInfoAnon -> SkolemInfoAnon
- pprHsDocContext :: HsDocContext -> SDoc
- inHsDocContext :: HsDocContext -> SDoc
- data TcRnMessageOpts = TcRnMessageOpts {
  - tcOptsShowContext :: !Bool
  - tcOptsIfaceOpts :: !IfaceMessageOpts
  }
- pprTyThingUsedWrong :: WrongThingSort -> TcTyThing -> Name -> SDoc
- pprUntouchableVariable :: TcTyVar -> Implication -> SDoc
- mismatchMsg_ExpectedActuals :: MismatchMsg -> Maybe (Type, Type)
- messageWithInfoDiagnosticMessage :: UnitState -> ErrInfo -> Bool -> DecoratedSDoc -> DecoratedSDoc
- messageWithHsDocContext :: TcRnMessageOpts -> HsDocContext -> DecoratedSDoc -> DecoratedSDoc

# Documentation

pprTypeDoesNotHaveFixedRuntimeRep :: Type -> FixedRuntimeRepProvenance -> SDoc Source #

pprScopeError :: RdrName -> NotInScopeError -> SDoc Source #

tidySkolemInfo :: TidyEnv -> SkolemInfo -> SkolemInfo Source #

tidySkolemInfoAnon :: TidyEnv -> SkolemInfoAnon -> SkolemInfoAnon Source #

pprHsDocContext :: HsDocContext -> SDoc Source #

inHsDocContext :: HsDocContext -> SDoc Source #

data TcRnMessageOpts Source #

Constructors

TcRnMessageOpts |

Fields

- tcOptsShowContext :: !Bool

  Whether we show the error context or not

- tcOptsIfaceOpts :: !IfaceMessageOpts

#### Instances

Instances details

HasDefaultDiagnosticOpts TcRnMessageOpts Source # |
Instance details Defined in GHC.Tc.Errors.Ppr Methods defaultOpts :: TcRnMessageOpts Source #

pprTyThingUsedWrong :: WrongThingSort -> TcTyThing -> Name -> SDoc Source #

pprUntouchableVariable :: TcTyVar -> Implication -> SDoc Source #

mismatchMsg_ExpectedActuals :: MismatchMsg -> Maybe (Type, Type) Source #

Useful when overriding message printing.

messageWithInfoDiagnosticMessage :: UnitState -> ErrInfo -> Bool -> DecoratedSDoc -> DecoratedSDoc Source #

messageWithHsDocContext :: TcRnMessageOpts -> HsDocContext -> DecoratedSDoc -> DecoratedSDoc Source #

# Orphan instances

Diagnostic TcRnMessage Source # |

Instance details

Associated Types

type DiagnosticOpts TcRnMessage |
Instance details Defined in GHC.Tc.Errors.Ppr type DiagnosticOpts TcRnMessage = TcRnMessageOpts

Methods

diagnosticMessage :: DiagnosticOpts TcRnMessage -> TcRnMessage -> DecoratedSDoc Source #

diagnosticReason :: TcRnMessage -> DiagnosticReason Source #

diagnosticHints :: TcRnMessage -> [GhcHint] Source #

diagnosticCode :: TcRnMessage -> Maybe DiagnosticCode Source #

HasDefaultDiagnosticOpts TcRnMessageOpts Source # |
Instance details Methods defaultOpts :: TcRnMessageOpts Source #
Outputable ImportError Source # |
Instance details Methods ppr :: ImportError -> SDoc Source #
Outputable SolverReportErrCtxt Source # |
Instance details Methods ppr :: SolverReportErrCtxt -> SDoc Source #